Bug 518436 - please include the patch to pygpgme from upstream to quiet down a deprecation warning in python 2.6
Summary: please include the patch to pygpgme from upstream to quiet down a deprecation...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pygpgme
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL: https://bugs.launchpad.net/pygpgme/+b...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 12:29 UTC by seth vidal
Modified: 2013-07-29 01:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-24 20:07:21 UTC


Attachments (Terms of Use)

Description seth vidal 2009-08-20 12:29:25 UTC
Description of problem:
pygpgme when it creates an exception causes a deprecation warning to popup where pygpgme. It is about pep 352.

I reported it upstream with a simple, simple patch. The upstream author had some better ideas for backward compat and implemented a better patch.

https://bugs.launchpad.net/pygpgme/+bug/415528

If you could apply it and build it in rawhide that would be great as it will keep yum from having deprecation warnings popup in the middle of it.

Comment 1 Toshio Ernie Kuratomi 2009-08-24 20:07:21 UTC
Updated to a new snapshot that has this fix as well as the additional features needed for sigul.

Built for rawhide:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1630302


Note You need to log in before you can comment on or make changes to this bug.